
Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #1041

Crash when switching from default Qt interface to Skins (latest git)

December 17, 2020 07:56 - Jim Turner

Status: Closed Start date: December 17, 2020

Priority: Minor Due date:  

Assignee:  % Done: 100%

Category: plugins/qtui Estimated time: 0.00 hour

Target version: 4.1   

Affects version:    

Description

Just what title says.  Pbm is only in latest GIT (2 different versions of Qt5 tested).  Pbm was not present in last GIT build on 12/2. 

Problem does not occur in GTK interface.

Seems to be the assert() in dock.cc:register_dock_host() due to possibly failure to call unregister_dock_host() on leaving Qt interface

before skins-qt starts up and calls register_dock_host(), due to changes in how the main window is now being shut down?

Output:

$>audacious

audacious: dock.cc:169: void audqt::register_dock_host(audqt::DockHost*): Assertion `!s_host' fail

ed.

Aborted

 

Steps to reproduce:

Start Audacious (starts in default Qt interface), then switch to skins-qt interface, immediate crash.

History

#1 - December 18, 2020 01:58 - John Lindgren

- % Done changed from 0 to 100

- Status changed from New to Closed

Fixed, thanks for catching that!

#2 - December 21, 2020 20:22 - Thomas Lange

- Target version set to 4.1

Powered by TCPDF (www.tcpdf.org)

May 03, 2025 1/1

http://www.tcpdf.org

